Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class GeneratorContext

    java.lang.Object
      org.codehaus.groovy.classgen.GeneratorContext

    public class GeneratorContext
    extends java.lang.Object

A context shared across generations of a class and its inner classes

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`GeneratorContext(CompileUnit compileUnit)`
`GeneratorContext(CompileUnit compileUnit, int innerClassOffset)`

Method Summary
`CompileUnit` | `getCompileUnit()`
`java.lang.String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
`int` | `getNextInnerClassIdx()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit)

### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit, int innerClassOffset)

Method Detail

### getCompileUnit

    public CompileUnit getCompileUnit()

### getNextClosureInnerName

    public java.lang.String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

### getNextInnerClassIdx

    public int getNextInnerClassIdx()

Groovy Documentation